%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	POP3Client
Summary:	Mail::POP3Client - Perl POP3 client
Summary(pl.UTF-8):	Mail::POP3Client - klient POP3 dla Perla
Name:		perl-Mail-POP3Client
Version:	2.19
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8ee509c9118fdd65a6d777b3f5f1c835
URL:		http://search.cpan.org/dist/Mail-POP3Client/
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail::POP3Client - Perl POP3 client.

%description -l pl.UTF-8
Mail::POP3Client - klient POP3 dla Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Mail/POP3Client.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mail-POP3Client.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e7943e
- up to 2.19

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> d56401e
- updated to 2.18

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 29a3247
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 2c1cc3d
- up to 2.17

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c3967df
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 68e4c8c
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7a3c9e4
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 081b2ae
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 06f6185
- cosmetics: unification

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> 7a776fa
- license fixes/unification

* Sun Apr 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 3a407fb
- outdated

* Sun Apr 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 24315be
- updated to 2.16
- removed Digest-MD5 patch (not needed anymore)

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 3ff7a1d
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> f83186b
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 6bb3cb0
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 7597760
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> fca36e1
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 5fd463e
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 48e163a
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 79827ed
- massive attack: change CPAN URLs

